/*******************************  LICENSE  *******************************



 *******************************  LICENSE  *******************************/

/*! \file FortranRootSceneNodeAttributes.h
    \brief Definition of FortranRootSceneNode Attributes class.
    \author Meteorological Visualisation Section, ECMWF

    This file is automatically generated.
    Do Not Edit!

*/
   

#ifndef FortranRootSceneNodeAttributes_H
#define FortranRootSceneNodeAttributes_H

#include "magics.h"
#include "ParameterManager.h"
#include "Factory.h"


#include "Colour.h"

namespace magics {

class XmlNode;



class FortranRootSceneNodeAttributes 
{
public:
//  --  constructor
    FortranRootSceneNodeAttributes();
    
//  --  destructor
    virtual ~FortranRootSceneNodeAttributes();
    
    virtual void set(const std::map<string, string>&);
    virtual void set(const XmlNode&);
    virtual void copy(const FortranRootSceneNodeAttributes&);
    virtual bool accept(const string&);

    void setTag(const string& tag) { tag_ = tag; }

	

public:
	//  --  method
	virtual void print(ostream&) const;
	virtual void toxml(ostream& out) const;
	//  --  members:
	string tag_;
	double width_;
	double height_;
	bool frame_;
	auto_ptr<Colour> colour_;
	LineStyle style_;
	int thickness_;
	string plot_layout_;
	string plot_start_;
	string plot_direction_;
	bool legend_;

private:
  
	friend ostream& operator<<(ostream& s,const FortranRootSceneNodeAttributes& p)
	{ p.print(s); return s; }
};

} // namespace magics

#endif
