/*******************************  LICENSE  *******************************



 *******************************  LICENSE  *******************************/

/*! \file GribLoopAttributes.h
    \brief Definition of GribLoop Attributes class.
    \author Meteorological Visualisation Section, ECMWF

    This file is automatically generated.
    Do Not Edit!

*/
   

#ifndef GribLoopAttributes_H
#define GribLoopAttributes_H

#include "magics.h"
#include "ParameterManager.h"
#include "Factory.h"


#include "GribLoopStep.h"
#include "WindMode.h"
#include "GribAddressMode.h"

namespace magics {

class XmlNode;



class GribLoopAttributes 
{
public:
//  --  constructor
    GribLoopAttributes();
    
//  --  destructor
    virtual ~GribLoopAttributes();
    
    virtual void set(const std::map<string, string>&);
    virtual void set(const XmlNode&);
    virtual void copy(const GribLoopAttributes&);
    virtual bool accept(const string&);

    void setTag(const string& tag) { tag_ = tag; }

	

public:
	//  --  method
	virtual void print(ostream&) const;
	virtual void toxml(ostream& out) const;
	//  --  members:
	string tag_;
	auto_ptr<GribAddressMode> address_mode_;
	intarray dimension_;
	longintarray dim_1_;
	longintarray dim_2_;
	longintarray dim_colour_;
	longintarray dim_;
	string path_;
	auto_ptr<GribLoopStep> step_;
	bool scaling_;
	bool derived_scaling_;
	double scaling_factor_;
	double scaling_offset_;
	string interpolation_method_;
	int missing_fill_count_;
	auto_ptr<WindMode> wind_mode_;

private:
  
	friend ostream& operator<<(ostream& s,const GribLoopAttributes& p)
	{ p.print(s); return s; }
};

} // namespace magics

#endif
