/*******************************  LICENSE  *******************************



 *******************************  LICENSE  *******************************/

/*! \file HistogramLegendMethodAttributes.h
    \brief Definition of HistogramLegendMethod Attributes class.
    \author Meteorological Visualisation Section, ECMWF

    This file is automatically generated.
    Do Not Edit!

*/
   

#ifndef HistogramLegendMethodAttributes_H
#define HistogramLegendMethodAttributes_H

#include "magics.h"
#include "ParameterManager.h"
#include "Factory.h"


#include "Colour.h"

namespace magics {

class XmlNode;



class HistogramLegendMethodAttributes 
{
public:
//  --  constructor
    HistogramLegendMethodAttributes();
    
//  --  destructor
    virtual ~HistogramLegendMethodAttributes();
    
    virtual void set(const std::map<string, string>&);
    virtual void set(const XmlNode&);
    virtual void copy(const HistogramLegendMethodAttributes&);
    virtual bool accept(const string&);

    void setTag(const string& tag) { tag_ = tag; }

	

public:
	//  --  method
	virtual void print(ostream&) const;
	virtual void toxml(ostream& out) const;
	//  --  members:
	string tag_;
	int label_frequency_;
	bool histo_border_;
	auto_ptr<Colour> histo_border_colour_;
	bool histo_mean_;
	int histo_mean_marker_;
	auto_ptr<Colour> histo_mean_colour_;
	double histo_mean_size_;
	bool histo_max_;
	auto_ptr<Colour> histo_grid_colour_;
	LineStyle histo_grid_style_;
	int histo_grid_thickness_;

private:
  
	friend ostream& operator<<(ostream& s,const HistogramLegendMethodAttributes& p)
	{ p.print(s); return s; }
};

} // namespace magics

#endif
