/*******************************  LICENSE  *******************************



 *******************************  LICENSE  *******************************/

/*! \file ImagePlottingAttributes.h
    \brief Definition of ImagePlotting Attributes class.
    \author Meteorological Visualisation Section, ECMWF

    This file is automatically generated.
    Do Not Edit!

*/
   

#ifndef ImagePlottingAttributes_H
#define ImagePlottingAttributes_H

#include "magics.h"
#include "ParameterManager.h"
#include "Factory.h"


#include "LookupTableMode.h"
#include "ColourTableDefinition.h"

namespace magics {

class XmlNode;



class ImagePlottingAttributes 
{
public:
//  --  constructor
    ImagePlottingAttributes();
    
//  --  destructor
    virtual ~ImagePlottingAttributes();
    
    virtual void set(const std::map<string, string>&);
    virtual void set(const XmlNode&);
    virtual void copy(const ImagePlottingAttributes&);
    virtual bool accept(const string&);

    void setTag(const string& tag) { tag_ = tag; }

	

public:
	//  --  method
	virtual void print(ostream&) const;
	virtual void toxml(ostream& out) const;
	//  --  members:
	string tag_;
	auto_ptr<LookupTableMode> mode_;
	auto_ptr<ColourTableDefinition> colourMethod_;
	int count_;
	int pixelFrequency_;

private:
  
	friend ostream& operator<<(ostream& s,const ImagePlottingAttributes& p)
	{ p.print(s); return s; }
};

} // namespace magics

#endif
