/*******************************  LICENSE  *******************************



 *******************************  LICENSE  *******************************/

/*! \file LegendVisitorAttributes.h
    \brief Definition of LegendVisitor Attributes class.
    \author Meteorological Visualisation Section, ECMWF

    This file is automatically generated.
    Do Not Edit!

*/
   

#ifndef LegendVisitorAttributes_H
#define LegendVisitorAttributes_H

#include "magics.h"
#include "ParameterManager.h"
#include "Factory.h"


#include "Colour.h"
#include "LegendMethod.h"

namespace magics {

class XmlNode;



class LegendVisitorAttributes 
{
public:
//  --  constructor
    LegendVisitorAttributes();
    
//  --  destructor
    virtual ~LegendVisitorAttributes();
    
    virtual void set(const std::map<string, string>&);
    virtual void set(const XmlNode&);
    virtual void copy(const LegendVisitorAttributes&);
    virtual bool accept(const string&);

    void setTag(const string& tag) { tag_ = tag; }

	

public:
	//  --  method
	virtual void print(ostream&) const;
	virtual void toxml(ostream& out) const;
	//  --  members:
	string tag_;
	auto_ptr<Colour> colour_;
	bool title_;
	string title_text_;
	string title_orientation_;
	double title_font_size_;
	auto_ptr<Colour> title_font_colour_;
	Position title_position_;
	double title_ratio_;
	string units_text_;
	bool use_min_;
	string use_min_text_;
	bool use_max_;
	string use_max_text_;
	auto_ptr<LegendMethod> method_;
	string format_;
	string box_;
	string box_position_;
	string font_;
	string font_style_;
	string font_dimension_;
	string text_quality_;
	double orientation_;
	stringarray lines_;
	int columns_;
	string direction_;
	string entry_orientation_;
	string composition_;
	string text_;
	string text1_;
	string text2_;
	string text3_;
	string text4_;
	string text5_;
	string text6_;
	string text7_;
	string text8_;
	string text9_;
	string text10_;
	double symbol_factor_;
	double box_x_;
	double box_y_;
	double box_width_;
	double box_height_;
	bool blanking_;
	bool border_;
	LineStyle border_line_style_;
	auto_ptr<Colour> border_colour_;
	int border_thickness_;
	bool wrep_;
	bool only_;
	double text_width_;
	bool entry_border_;
	auto_ptr<Colour> entry_border_colour_;

private:
  
	friend ostream& operator<<(ostream& s,const LegendVisitorAttributes& p)
	{ p.print(s); return s; }
};

} // namespace magics

#endif
